<div class="container" style="margin-top:30px">
  <h1 class="h1-section">FIRE MAP</h1>
  <label for="track">
    Habilitar geolocalización
    <input id="track" type="checkbox"/>
  </label>
  <div id="map" class="map"></div>
  <div id="info"></div>

  <label for="track">
    Habilitar geolocalización
    <input id="track" type="checkbox"/>
  </label>

  <p style="display:none">
    position accuracy : <code id="accuracy"></code>&nbsp;&nbsp;
    altitude : <code id="altitude"></code>&nbsp;&nbsp;
    altitude accuracy : <code id="altitudeAccuracy"></code>&nbsp;&nbsp;
    heading : <code id="heading"></code>&nbsp;&nbsp;
    speed : <code id="speed"></code>
  </p>

  <script type="text/javascript">



var raster = new ol.layer.Tile({
  source: new ol.source.BingMaps({
    imagerySet: 'Aerial',
    key: 'AvPY9Lea4JYrL5cFWeYxXPMe5uCKr-EX4LyOZzRXo8w2MfW3nRWUyVHPZnkmXLcA'
  })
});

    var vector = new ol.layer.Vector({
      source: new ol.source.Vector({
        url: 'Prueba.kml',
        format: new ol.format.KML()
      })
    });

    var view = new ol.View({
      center: [0, 0],
      zoom: 0
    });

    var map = new ol.Map({
      layers: [ raster, vector],
      target: 'map',
      projection: 'EPSG:3857',
      view: view
    });

    var geolocation = new ol.Geolocation({
      // enableHighAccuracy must be set to true to have the heading value.
      trackingOptions: {
        enableHighAccuracy: true
      },
      projection: view.getProjection()
    });

    function el(id) {
      return document.getElementById(id);
    }

    el('track').addEventListener('change', function() {
      geolocation.setTracking(this.checked);
    });

    // update the HTML page when the position changes.
    geolocation.on('change', function() {
      el('accuracy').innerText = geolocation.getAccuracy() + ' [m]';
      el('altitude').innerText = geolocation.getAltitude() + ' [m]';
      el('altitudeAccuracy').innerText = geolocation.getAltitudeAccuracy() + ' [m]';
      el('heading').innerText = geolocation.getHeading() + ' [rad]';
      el('speed').innerText = geolocation.getSpeed() + ' [m/s]';
    });

    // handle geolocation error.
    geolocation.on('error', function(error) {
      var info = document.getElementById('info');
      info.innerHTML = error.message;
      info.style.display = '';
    });

    var accuracyFeature = new ol.Feature();
    geolocation.on('change:accuracyGeometry', function() {
      accuracyFeature.setGeometry(geolocation.getAccuracyGeometry());
    });

    var positionFeature = new ol.Feature({
      style : new ol.style.Circle({
        radius: 6,
        fill: new ol.style.Fill({
          color: '#3399CC'
        }),
        stroke: new ol.style.Stroke({
          color: '#fff',
          width: 2
        })
      })
    });

    geolocation.on('change:position', function() {
      var coordinates = geolocation.getPosition();
      positionFeature.setGeometry(coordinates ?
        new ol.geom.Point(coordinates) : null);

      flyTo(coordinates, function(){});
    });

    new ol.layer.Vector({
      map: map,
      source: new ol.source.Vector({
        features: [accuracyFeature, positionFeature]
      })
    });

    function flyTo(location, done) {
      var duration = 0;
      var zoom = view.getZoom();
      var parts = 2;
      var called = false;
      function callback(complete) {
        --parts;
        if (called) {
          return;
        }
        if (parts === 0 || !complete) {
          called = true;
          done(complete);
        }
      }
      view.animate({
        center: location,
        zoom: 11
      }, callback);
     
    }


/*
    var displayFeatureInfo = function(pixel) {
  var features = [];
  map.forEachFeatureAtPixel(pixel, function(feature) {
    features.push(feature);
  });
  if (features.length > 0) {
    var info = [];
    var i, ii;
    for (i = 0, ii = features.length; i < ii; ++i) {
      info.push(features[i].get('name'));
    }
    document.getElementById('info').innerHTML = info.join(', ') || '(unknown)';
    map.getTarget().cursorKML = 'pointer';
  } else {
    document.getElementById('info').innerHTML = '&nbsp;';
    map.getTarget().cursorKML = '';
  }
};*/

/*map.on('pointermove', function(evt) {
  if (evt.dragging) {
    return;
  }
  var pixel = map.getEventPixel(evt.originalEvent);
  displayFeatureInfo(pixel);
});

map.on('click', function(evt) {
  displayFeatureInfo(evt.pixel);
});*/

  </script>

</div>